The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Update Tomcat 5.5.35

Discussion in 'General Discussion' started by jmaldonado, Oct 3, 2012.

  1. jmaldonado

    jmaldonado Registered

    Joined:
    Oct 3, 2012
    Messages:
    3
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Root Administrator
    Hello everyone.

    I have a server with WHM / cPanel version 11.32.5, I installed tomcat but when testing my application it gives me error and not working.

    I reinstalled my application in a virtual machine on my workstation and the application works perfectly.

    The difference I have found is that the version of Tomcat on cPanel server is 5.5.35, while the version of Tomcat in the virtual machine is 7.

    There is a way to update the Tomcat, JDK and JRE on the server with WHM without affecting WHM cPanel functionality or I need to update the WHM?

    What should I do?

    Thank you so much!
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,854
    Likes Received:
    675
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
  3. WebScHoLaR

    WebScHoLaR Well-Known Member

    Joined:
    Dec 14, 2005
    Messages:
    511
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Planet Earth
    cPanel doesn't support Tomcat 7 at this time. Tomcat 5.5.35 is a latest version of Tomcat supported by cPanel. If your application needs Tomcat 7 you may need to install Tomcat & manually.
     
  4. cPanelTristan

    cPanelTristan Quality Assurance Analyst
    Staff Member

    Joined:
    Oct 2, 2010
    Messages:
    7,623
    Likes Received:
    21
    Trophy Points:
    38
    Location:
    somewhere over the rainbow
    cPanel Access Level:
    Root Administrator
    Hello,

    If you would like to lend support to Tomcat 7 being included with EasyApache rather than Tomcat 5.5, please consider posting to this forum thread:

    http://forums.cpanel.net/f145/apache-tomcat-7-support-case-2685-a-199141.html

    The only way I am aware currently to update and, it wouldn't be supported in our support ticket system, would be the following guide:

    Linux Notes: Installing Tomcat 7 on a cPanel Server

    Please use at your own risk, since again this is unsupported territory and we cannot troubleshoot issues caused by using Tomcat 7 instead of the version we provide.

    Thanks!
     
Loading...

Share This Page